% this program can be used to test the tide prediction 
% against real data.  The program loads in differential
% travel times obtained from the north leg of RTE87; these
% are a measure of zonal current.  The travel times are
% converted from msec to current in cm/s, positive eastward.
% A nominal location for a prediction of these data is
%  40.647N, 163.025W which is the location of the current
% meter mooring of RTE87 midway along the northern path.
%
% 1) make the prediction for the position above.
% 2) execute testRTE87_north which will plot the data on
%    the top panel of the prediction.
%
load test_times.dat 
dtimes=test_times;
t_data=dtimes(:,1);
tt=dtimes(:,2:13);
% convert from travel times to current in cm/s
UU=-150*tt;  
figure(3); subplot(311)
hold on
plot(t_data,UU,'x') 
hold off
figure(2)
